#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/base/cmake.rb'
# =========================================================================== #
module Easycompile 

class Base

  # ========================================================================= #
  # === cmake_file?
  #
  # This method wille ssentially refer to "CMakeLists.txt".
  # ========================================================================= #
  def cmake_file?
    CMAKE_FILE
  end

  # ========================================================================= #
  # === run_cmake_command                                         (cmake tag)
  #
  # Compiling via cmake can yield errors. We will try to capture such
  # an error.
  #
  # Note that cmake-based projects typically require a dedicated build
  # directory - this is why the method do_make_use_of_a_build_directory()
  # is called within this method.
  #
  # cmake -DCMAKE_INSTALL_PREFIX=/usr
  # ========================================================================= #
  def run_cmake_command
    do_make_use_of_a_build_directory
    _ = 'cmake'.dup
    # ======================================================================= #
    # Next, we will use the install prefix.
    # ======================================================================= #
    _ << " -DCMAKE_INSTALL_PREFIX=#{prefix?}"
    _ << ' .'
    _ << '.' if shall_we_create_a_build_directory? # Append this.
    if shall_we_create_a_build_directory?
      use_this_name = name_of_build_directory?
      unless File.directory?(use_this_name)
        opn; e "Next creating the build directory called `"\
               "#{sdir(use_this_name)}`."
        mkdir(use_this_name)
      end
      cd use_this_name
    end
    esystem _
  end; alias run_cmake run_cmake_command # === run_cmake

end; end