#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# By default we will try to use colours, even if the default value
# for the toplevel instance variable @can_we_use_colours is set to
# false - it will typically become true at a later point, in this
# file.
# =========================================================================== #
# require 'easycompile/base/colours.rb'
# =========================================================================== #
module Easycompile

# =========================================================================== #
# === @can_we_use_colours
# =========================================================================== #
@can_we_use_colours = false

# =========================================================================== #
# === Easycompile.set_can_we_use_colours
# =========================================================================== #
def self.set_can_we_use_colours(i = true)
  @can_we_use_colours = i
end; self.instance_eval { alias can_we_use_colours= set_can_we_use_colours } # === Easycompile.can_we_use_colours=

# =========================================================================== #
# === Easycompile.can_we_use_colours?
# =========================================================================== # 
def self.can_we_use_colours?
  @can_we_use_colours
end

class Base # === Easycompile::Base

  begin
    require 'colours'
    ::Easycompile.can_we_use_colours = true
  rescue LoadError
    ::Easycompile.can_we_use_colours = false
  end

  if ::Easycompile.can_we_use_colours?
    include Colours
  else
    alias e puts
  end

  # ========================================================================= #
  # === use_colours?
  # ========================================================================= #
  def use_colours?
    ::Easycompile.can_we_use_colours?
  end

  # ========================================================================= #
  # === rev
  # ========================================================================= #
  def rev
    if use_colours?
      ::Colours.rev
    else
      ''
    end
  end

  # ========================================================================= #
  # === e_colourize
  # ========================================================================= #
  def e_colourize(i)
    if use_colours?
      e sfancy(i)
    else
      e i
    end
  end

  # ========================================================================= #
  # === ecomment
  # ========================================================================= #
  def ecomment(i)
    if use_colours?
      ::Colours.ecomment(i)
    else
      i
    end
  end

end; end