#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will handle the installation of gems, which is the
# ruby-addon stuff.
# =========================================================================== #
# require 'easycompile/base/gem.rb'
# =========================================================================== #
module Easycompile

class Base

  require 'easycompile/base/esystem.rb'
  # ========================================================================= #
  # === install_this_gem
  #
  # Consistently use this method when trying to install a gem.
  #
  # We will ignore the dependencies, though, to speed up the
  # installation process.
  # ========================================================================= #
  def install_this_gem(i)
    _ = "gem install --ignore-dependencies #{i}"
    esystem(_)
  end

  # ========================================================================= #
  # === is_a_gem?
  # ========================================================================= #
  def is_a_gem?(i)
    i.end_with? '.gem'
  end

end; end