#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/base/meson_and_ninja.rb'
# =========================================================================== #
module Easycompile 

class Base

  # ========================================================================= #
  # === compile_as_meson_based_project
  # ========================================================================= #
  def compile_as_meson_based_project
    use_this_build_directory = name_of_the_build_directory?
    esystem 'meson --prefix='+prefix?+' '+use_this_build_directory
    cd(use_this_build_directory)
    ninjait
  end

  # ========================================================================= #
  # === does_a_meson_build_file_exist?
  # ========================================================================= #
  def does_a_meson_build_file_exist?
    File.exist?(MESON_BUILD_FILE)
  end

  # ========================================================================= #
  # === ninjait
  # ========================================================================= #
  def ninjait
    esystem 'ninja'
    esystem 'ninja install'
  end

end; end