#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Easycompile::CompileAsAppdir
#
# This will compile in an App-Dir like approach.
# =========================================================================== #
# require 'easycompile/compile_as_appdir/compile_as_appdir.rb'
# =========================================================================== #
require 'easycompile/easycompile/easycompile.rb'

module Easycompile # === Easycompile

class CompileAsAppdir < Base # === Easycompile::CompileAsAppdir

  begin
    require 'rbt/requires/require_symlink_this_program.rb'
  rescue LoadError; end

  # ========================================================================= #
  # === THIS_FILE
  # ========================================================================= #
  THIS_FILE =
    "#{PROJECT_BASE_DIR}compile_as_appdir/compile_as_appdir.rb"

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i)
    Easycompile.new(i) {{ prefix: :appdir }}
  end

  # ========================================================================= #
  # === Easycompile::CompileAsAppdir[]
  # ========================================================================= #
  def self.[](i)
    CompileAsAppdir.new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Easycompile::CompileAsAppdir.new(ARGV)
end # rappdir