#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/constants/array_possible_archives.rb'
# =========================================================================== #
module Easycompile # include Easycompile::Constants

module Constants # === Easycompile::Constants

  # ========================================================================= #
  # === ARRAY_POSSIBLE_ARCHIVES
  #
  # This Array will list possible archive "types", such as ".tar.xz" and
  # so forth.
  # ========================================================================= #
  ARRAY_POSSIBLE_ARCHIVES = %w(
    xz
    tar
    gz
    zip
    bz2
    lz
  )

end

# =========================================================================== #
# === Easycompile.is_an_archive?
# =========================================================================== #
def self.is_an_archive?(i)
  extname = File.extname(File.basename(i)).delete('.')
  Constants::ARRAY_POSSIBLE_ARCHIVES.include? extname
end; self.instance_eval { alias is_archive? is_an_archive? } # === Easycompile.is_archive?

# =========================================================================== #
# === Easycompile.try_to_randomly_fetch_an_archive_from_the_current_directory
# =========================================================================== #
def self.try_to_randomly_fetch_an_archive_from_the_current_directory
  _ = Dir['*']
  _.select! {|entry| is_archive? entry }
  _
end

end