#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/constants/programs_directory.rb'
# =========================================================================== #
module Easycompile

module Constants # === Easycompile::Constants

  # ========================================================================= #
  # === PROGRAMS_DIRECTORY
  # ========================================================================= #
  if ENV['MY_PROGRAMS']
    PROGRAMS_DIRECTORY = ENV['MY_PROGRAMS'].to_s+'/'
  else
    PROGRAMS_DIRECTORY = '/home/Programs/'
  end

end

# =========================================================================== #
# === @programs_directory
#
# This toplevel instance variable keeps track of the programs directory
# in use for easycompile.
# =========================================================================== #
@programs_directory = Constants::PROGRAMS_DIRECTORY

# =========================================================================== #
# === Easycompile.set_programs_directory
# =========================================================================== #
def self.set_programs_directory(i)
  i = i.dup if i.frozen?
  i << '/' unless i.end_with? '/'
  @programs_directory = i
end

# =========================================================================== #
# === Easycompile.programs_directory?
# =========================================================================== #
def self.programs_directory?
  @programs_directory
end; self.instance_eval { alias programs_dir? programs_directory? } # === Easycompile.programs_dir?

end