#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'easycompile/toplevel_methods/rinstall2.rb'
# =========================================================================== #
module Easycompile

  require 'easycompile/constants/file_and_directory_constants.rb'
  require 'easycompile/toplevel_methods/copy_file.rb'

  # ========================================================================= #
  # === Easycompile.rinstall2
  #
  # How to install ruby-stuff without gems, by using good oldschool
  # setup.rb.
  # ========================================================================= #
  def self.rinstall2
    copy_file ::Easycompile::Constants::LOCATION_OF_SETUP_RB,
              Dir.pwd
    esystem 'ruby setup.rb --quiet config'
    esystem 'ruby setup.rb --quiet setup'
    esystem 'ruby setup.rb --quiet install'
    File.delete('setup.rb')       if File.exist? 'setup.rb'
    File.delete('InstalledFiles') if File.exist? 'InstalledFiles'
    File.delete('.config')        if File.exist? '.config'
  end

end